Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(86)

Issue 130003002: Handle loops in audio graph better for PannerNodes (Closed)

Created:
7 years ago by Raymond Toy (Google)
Modified:
7 years ago
CC:
blink-reviews, Raymond Toy
Visibility:
Public.

Description

Handle loops in audio graph better for PannerNodes When a PannerNode searches the graph for audio sources connected to the panner, prevent feedback loops from causing infinite loops. Create a hashmap to keep track of all visited nodes so we don't visit them more than once. A test is also added to ensure we don't infloop. BUG=331446 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=164822

Patch Set 1 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+102 lines, -7 lines) Patch
A LayoutTests/webaudio/panner-loop.html View 1 chunk +83 lines, -0 lines 0 comments Download
A + LayoutTests/webaudio/panner-loop-expected.txt View 1 chunk +2 lines, -2 lines 0 comments Download
M Source/modules/webaudio/PannerNode.h View 2 chunks +2 lines, -1 line 0 comments Download
M Source/modules/webaudio/PannerNode.cpp View 3 chunks +15 lines, -4 lines 0 comments Download

Messages

Total messages: 5 (0 generated)
Raymond Toy (Google)
PTAL
7 years ago (2014-01-09 17:08:15 UTC) #1
Ken Russell (switch to Gerrit)
lgtm
7 years ago (2014-01-09 21:46:00 UTC) #2
Raymond Toy (Google)
On 2014/01/09 21:46:00, Ken Russell wrote: > lgtm Thanks!
7 years ago (2014-01-09 22:49:00 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rtoy@google.com/130003002/30001
7 years ago (2014-01-09 22:49:24 UTC) #4
commit-bot: I haz the power
7 years ago (2014-01-10 01:42:30 UTC) #5
Message was sent while issue was closed.
Change committed as 164822

Powered by Google App Engine
This is Rietveld 408576698